// https://vitepress.dev/guide/custom-theme
import DefaultTheme from 'vitepress/theme'
import CustomLayout from './components/CustomLayout.vue'

import { MotionPlugin } from '@vueuse/motion'

import './styles/vars.css'
import './styles/main.css'
import 'uno.css'

export default {
  extends: DefaultTheme,
  // 使用包装组件重写布局
  Layout: CustomLayout,
  enhanceApp({ app, router, siteData }) {
    app.use(MotionPlugin)
  }
}
